RoutesUsers module
Users routes
URLs the Users module answers, their parameters and the variables each view receives.
Templates view
GET
/users/
default
Process GET request. Show login form.
| Variable | Type | Description |
|---|---|---|
$user |
User |
Empty user model |
$localPasswordEnabled |
bool |
Is login via local password enabled? |
$enabledOAuthAuthenticators |
array |
List of enabled OAuth authenticators |
Common variables such as $_url, $_request and $_menu are available too. Global template variables
POST
/users/
default
Process POST request (ie user submitted login credentials)
| Variable | Type | Description |
|---|---|---|
$user |
User |
Empty user model |
$localPasswordEnabled |
bool |
Is login via local password enabled? |
$enabledOAuthAuthenticators |
array |
List of enabled OAuth authenticators |
Common variables such as $_url, $_request and $_menu are available too. Global template variables
Only GET routes list their variables.